## AgsSoundProvider

AgsSoundProvider — Sound provider interface

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_sound_provider_set_default_soundcard ()
GObject * | ags_sound_provider_get_default_soundcard ()
void | ags_sound_provider_set_default_soundcard_thread ()
GObject * | ags_sound_provider_get_default_soundcard_thread ()
void | ags_sound_provider_set_soundcard ()
GList * | ags_sound_provider_get_soundcard ()
void | ags_sound_provider_set_sequencer ()
GList * | ags_sound_provider_get_sequencer ()
void | ags_sound_provider_set_audio ()
GList * | ags_sound_provider_get_audio ()
void | ags_sound_provider_set_sound_server ()
GList * | ags_sound_provider_get_sound_server ()
void | ags_sound_provider_set_osc_server ()
GList * | ags_sound_provider_get_osc_server ()
void | ags_sound_provider_set_program ()
GList * | ags_sound_provider_get_program ()
void | ags_sound_provider_set_tempo ()
GList * | ags_sound_provider_get_tempo ()
void | ags_sound_provider_set_time_signature ()
GList * | ags_sound_provider_get_time_signature ()

## Object Hierarchy

        GInterface
        ╰── AgsSoundProvider

## Includes

    #include <ags/audio/ags_sound_provider.h>

## Description

The AgsSoundProvider provides you the advanced audio capabilities.

## Functions

### ags_sound_provider_set_default_soundcard ()

    void
    ags_sound_provider_set_default_soundcard
                                   (AgsSoundProvider *sound_provider,
                                    GObject *soundcard);

Set default soundcard.

#### Parameters

sound_provider | the AgsSoundProvider |
soundcard | the GObject implementing AgsSoundcard |

Since: 3.0.0

### ags_sound_provider_get_default_soundcard ()

    GObject *
    ags_sound_provider_get_default_soundcard
                                   (AgsSoundProvider *sound_provider);

Get default soundcard thread.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

the GObject implementing AgsSoundcard.

[transfer full]

Since: 3.0.0

### ags_sound_provider_set_default_soundcard_thread ()

    void
    ags_sound_provider_set_default_soundcard_thread
                                   (AgsSoundProvider *sound_provider,
                                    GObject *soundcard_thread);

Set default soundcard thread.

#### Parameters

sound_provider | the AgsSoundProvider |
soundcard_thread | the default AgsThread |

Since: 3.0.0

### ags_sound_provider_get_default_soundcard_thread ()

    GObject *
    ags_sound_provider_get_default_soundcard_thread
                                   (AgsSoundProvider *sound_provider);

Get default soundcard thread.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

the AgsThread.

[transfer full]

Since: 3.0.0

### ags_sound_provider_set_soundcard ()

    void
    ags_sound_provider_set_soundcard (AgsSoundProvider *sound_provider,
                                      GList *soundcard);

Set soundcards.

#### Parameters

sound_provider | the AgsSoundProvider |
soundcard | a GList containing AgsSoundcard. | [element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_provider_get_soundcard ()

    GList *
    ags_sound_provider_get_soundcard (AgsSoundProvider *sound_provider);

Get soundcards.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

a GList containing AgsSoundcard.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_provider_set_sequencer ()

    void
    ags_sound_provider_set_sequencer (AgsSoundProvider *sound_provider,
                                      GList *sequencer);

Set sequencers.

#### Parameters

sound_provider | the AgsSoundProvider |
sequencer | a GList containing AgsSequencer. | [element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_provider_get_sequencer ()

    GList *
    ags_sound_provider_get_sequencer (AgsSoundProvider *sound_provider);

Get sequencers.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

a GList containing AgsSequencer.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_provider_set_audio ()

    void
    ags_sound_provider_set_audio (AgsSoundProvider *sound_provider,
                                  GList *audio);

Set audio objects.

#### Parameters

sound_provider | the AgsSoundProvider |
audio | a GList containing AgsAudio. | [element-type AgsAudio.Audio][transfer full]

Since: 3.0.0

### ags_sound_provider_get_audio ()

    GList *
    ags_sound_provider_get_audio (AgsSoundProvider *sound_provider);

Get audio objects.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

a GList containing AgsAudio.

[element-type AgsAudio.Audio][transfer full]

Since: 3.0.0

### ags_sound_provider_set_sound_server ()

    void
    ags_sound_provider_set_sound_server (AgsSoundProvider *sound_provider,
                                         GList *sound_server);

Get sound server.

#### Parameters

sound_provider | the AgsSoundProvider |
sound_server | a GList containing AgsSoundServer. | [element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_provider_get_sound_server ()

    GList *
    ags_sound_provider_get_sound_server (AgsSoundProvider *sound_provider);

Set sound server.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

a GList containing AgsSoundServer.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_provider_set_osc_server ()

    void
    ags_sound_provider_set_osc_server (AgsSoundProvider *sound_provider,
                                       GList *osc_server);

Set OSC server.

#### Parameters

sound_provider | the AgsSoundProvider |
osc_server | a GList containing AgsOscServer. | [element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_provider_get_osc_server ()

    GList *
    ags_sound_provider_get_osc_server (AgsSoundProvider *sound_provider);

Set distributed manager.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

a GList containing AgsOscServer.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_sound_provider_set_program ()

    void
    ags_sound_provider_set_program (AgsSoundProvider *sound_provider,
                                    GList *program);

Set program objects.

#### Parameters

sound_provider | the AgsSoundProvider |
program | a GList containing AgsProgram. | [element-type AgsAudio.Program][transfer full]

Since: 5.1.0

### ags_sound_provider_get_program ()

    GList *
    ags_sound_provider_get_program (AgsSoundProvider *sound_provider);

Get program objects.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

a GList containing AgsProgram.

[element-type AgsAudio.Program][transfer full]

Since: 5.1.0

### ags_sound_provider_set_tempo ()

    void
    ags_sound_provider_set_tempo (AgsSoundProvider *sound_provider,
                                  GList *tempo);

Set tempo objects.

#### Parameters

sound_provider | the AgsSoundProvider |
tempo | a GList containing AgsTempo. | [element-type AgsAudio.Program][transfer full]

Since: 5.4.1

### ags_sound_provider_get_tempo ()

    GList *
    ags_sound_provider_get_tempo (AgsSoundProvider *sound_provider);

Get tempo objects.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

a GList containing AgsTempo.

[element-type AgsAudio.Program][transfer full]

Since: 5.4.1

### ags_sound_provider_set_time_signature ()

    void
    ags_sound_provider_set_time_signature (AgsSoundProvider *sound_provider,
                                           GList *time_signature);

Set time signature objects.

#### Parameters

sound_provider | the AgsSoundProvider |
time_signature | a GList containing AgsProgram. | [element-type AgsAudio.Program][transfer full]

Since: 6.14.0

### ags_sound_provider_get_time_signature ()

    GList *
    ags_sound_provider_get_time_signature (AgsSoundProvider *sound_provider);

Get time signature objects.

#### Parameters

sound_provider | the AgsSoundProvider |

#### Returns

a GList containing AgsProgram.

[element-type AgsAudio.Program][transfer full]

Since: 6.14.0